<br>



<style>


  * {
    margin: 0;
  }
  html, body {
    height: 100%;
  }
  .wrapper {
    min-height: 100%;
    height: auto !important;
    height: 100%;
    margin: 0 auto -4em;

  }
  .footer, .push {
    height: 20em;
    margin: auto;
    width: 20%;
    padding: 10px;
  }
  .center_div{
    margin: 0 auto;
    width:80% /* value of your choice which suits your alignment */
  }
  p {
    color: red;
  }
  .red{
    color: red;
  }


</style>
<div ng-include="'./app/view/Includes/Header.html'"></div>
<br>
<br>


<div class="container">
  <div class="row">
    <div class="col-xs-12">
      <div class="box box-primary">
        <div class="box-header">
          <h3 class="box-title">Label Details</h3>
          <div class="box-tools">
            <div class="input-group" style="width: 150px;">
              <div class="input-group-btn">

                <div style="padding-top: 12px;">

                  <add-category-label ></add-category-label>
                </div>
               <!-- <a class="btn btn-sm btn-default btn-primary" ng-click="openAddCategoryLabel()" >Add Label</a>-->

              </div>
            </div>
          </div>
        </div><!-- /.box-header -->
        <div class="box-body table-responsive no-padding">
          <table class="table table-hover">
            <thead>
            <tr>
              <th>Label Name</th>
              <th>Label Description</th>
              <th>Action</th>
            </tr>
            </thead>
            <tbody style="overflow: scroll;height: 40px">
            <tr ng-repeat="label in categoryDetails track by $index">
              <td>{{label.categoryName}}</td>

              <td>{{ label.categoryDescription | limitTo: 70 }}{{label.categoryDescription.length > 70 ? '...' : ''}}</td>
              <td>
                <add-category-label   category-data="label"></add-category-label>
               <!-- <button class="btn btn-info" ng-click="openAddCategoryLabel(label)" >Edit</button>-->
                <button class="btn btn-danger" ng-click="openDeleteCategory(label)" >Delete</button>
                <a class="btn btn-info" ng-click="getCategoryBasedOnLabel(label)" >order Categories</a>

              </td>
            </tr>
            </tbody>
          </table>

        </div><!-- /.box-body -->
      </div><!-- /.box -->

    </div>
  </div>
</div>




<br/><br/>

<div class="footer" style="min-width:100%;max-width:100%;text-align:center">

  <pagination total-items="bigTotalLabel" ng-model="bigCurrentPageLabel"
              max-size="5" class="pagination-sm" boundary-links="true"
              rotate="false"  ng-click="setPageForLabel(bigCurrentPageLabel)"></pagination>

</div>




